Les logiciels nécessaires


  • Administrateurs

    Ce tutoriel ne s'applique pas au version forge gradle 1.6.4, les build 9.11.1.960 à 9.11.1.964 ne fonctionne donc pas avec ce tutoriel

    Afin de pouvoir développer des mods, un certain nombre de logiciels vont être nécessaires ou conseillés.

    Les choses à savoir à propos de son ordinateur

    Vous allez commencer par récupérer quelques informations à propos de votre ordinateur, car il y a plusieurs versions des logiciels en fonction de votre OS (Operating System, soit le système sous lequel tourne votre ordinateur).
    La première chose à faire est de chercher sur quel OS tourne votre ordinateur.
    Les ordinateurs récents sont presque tous en 64 bits, les plus vieux sont en 32 bits.

    Windows :
    Si vous êtes sous Windows XP, vous avez un système 32 bits. Pour Vista, 7 et 8, faites un clic droit sur ordinateur puis propriétés. Vous devriez voir quelque chose de semblable:

    (oui je sais mon pc n'est pas terrible, mais il me suffit pour l'instant)

    Mac :
    Apple ne fait plus de version 32 bits de OS x, en revanche, soyez sûr d'avoir une version supérieure à Mac OS X 10.7.3 (Lion), sinon vous allez avoir du mal à suivre ce tutoriel, vous devrez alors chercher sur google les liens de téléchargement.

    Linux :
    Tapez dans le terminal "uname -a", un petit texte va s'afficher. S'il y a amd64 dedans, vous avez un système 64 bits, sinon vous avez x86, c'est alors un 32 bits.

    Maintenant que vous connaissez votre type de système (OS), on peut passer à la suite .

    Les logiciels obligatoires

    Java :

    Minecraft est codé en java, il est donc nécessaire de posséder Java.
    Il vous faut un environnement de lancement (JRE = Java Runtime Environment), si minecraft fonctionne c'est que vous en possédez déjà un, mais pensez à vérifier que vous avez bien une version 64 bits de java, si vous avez un système 64 bits (c'est mieux pour les performances) vérifiez qu'il soit à jour. Vous pouvez obtenir java sur le site de java ou sur le site d'oracle
    Comme vous allez coder, il vous faut aussi un kit de développement (JDK = Java Development Kit), que vous pouvez trouver sur le site d'oracle
    Pour l'installation, prenez les installateurs automatiques, il faut simplement les exécuter avec les droits d'administrateur.
    Si vous êtes sous la distribution ubuntu ou autre dérivé (kubuntu, etc …):
    Dans le terminal, tapez les commandes :

    sudo add-apt-repository ppa:webupd8team/java
    sudo apt-get update
    sudo apt-get install oracle-java7-installer
    

    Vous obtiendrez le dernier jre ainsi que le dernier jdk.

    Python :
    Les scripts de Forge et MCP passe par Python, sous Windows Python est facultatif, en revanche sous Mac et Linux il est obligatoire, vous pouvez télécharger Python ici. Prenez bien la version 2.7.x, Forge et MCP utilisent celle-ci, et non la version 3.3.x
    Pour l'installation, prenez les installateurs automatiques, il faut juste les exécuter avec les droits d'administrateur.
    Pour Linux (Ubuntu, je ne sais pas pour les autres distributions), passer par la ligne de commande :

    sudo apt-get install python2.7
    

    Eclipse :
    Sauf si vous êtes assez fou pour tout faire avec l'éditeur de texte, un IDE java est obligatoire, il est recommandé d'utiliser Eclipse, d'autres IDE comme NetBeans peuvent aussi fonctionner, mais il y a des conversions à faire, car la workspace créée par MCP est prévue pour Eclipse. Vous pouvez télécharger Eclipse sur le site officiel.
    Pour l'installation, il faut décompresser l'archive quelque part, l'application Eclipse se trouve dans le dossier que vous venez de dézipper.

    Wine ou astyle (Linux) :
    Sous Linux il faut wine ou astyle sinon vous allez tomber sur cette erreur :

    !! Please install either wine or astyle for source cleanup !!
    !! This is REQUIRED by FML/Forge Cannot proceed !!
    

    Pour installer wine sous Ubuntu :

    sudo apt-get install wine
    

    Ou pour installer astyle :

    sudo apt-get install astyle
    

    Je crois avoir fait le tour des logiciels importants.

    Les logiciels facultatifs

    D'autres logiciels peuvent être utiles, mais ne sont pas obligatoires.
    Je vais principalement parler des logiciels Windows d'ailleurs, car ceux fournis de base avec Windows sont souvent pourris…

    Un éditeur d'image :
    Il vous faudra un logiciel de retouche d'image qui supporte la transparence.
    Gratuits :

    Payants :

    Et surement de nombreux autres logiciels, si ceux cités ici ne vous conviens pas, google 😄

    Un éditeur de texte :
    Une fois de plus, l'éditeur de texte de Windows est pourri à côté de celui de Mac ou Linux…
    C'est pour ça que je vous recommande d'installer Notepad ++

    Un logiciel de compression:
    À nouveau, sous Windows, l'utilitaire de compression est complètement pourri, c'est pour ça que je vous conseille d'installer 7zip
    Il existe d'autres logiciels de compression comme winrar, winzip, etc … mais 7-zip est gratuit, open source, et compresse mieux que les autres.



  • Merci, pour cette liste ! 🙂



  • il existe une version gratuit de photofiltre disponible ici -> http://photofiltre.free.fr/
    Ps:marche sous linux avec wine


  • Administrateurs

    Oui, mais elle supporte mal la transparence.


  • Administrateurs

    Toujours valable en 1.6.1.


  • Administrateurs

    Lorsque j’exécute la commande ```
    java version

    
    J'obtiens:
    Erreur : impossible de trouver ou charger la classe principale version___
    Je suis c**, j'ai oublié le - devant version.

Log in to reply